Bug 178593 - Refactoring does not rename attribute in object literals in some cases
Refactoring does not rename attribute in object literals in some cases
Status: VERIFIED FIXED
Product: javafx
Classification: Unclassified
Component: Unsupported
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: J Bachorik
issues@javafx
68patch1-verified
:
Depends on: 179870
Blocks: 173077
  Show dependency treegraph
 
Reported: 2009-12-14 06:56 UTC by Alexandr Scherbatiy
Modified: 2010-01-28 04:00 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandr Scherbatiy 2009-12-14 06:56:07 UTC
NetBeans-JavaFX-Soma: #65

  Product Version         = NetBeans IDE 6.8 RC1 (Build 200911252200)
(#3c4d4f8d3d55)
  Operating System        = Windows XP version 5.1 running on x86
  Java; VM; Vendor        = 1.6.0_15; Java HotSpot(TM) Client VM 14.1-b02; Sun
Microsystems Inc.

Steps to reproduce:

- Open the attached project in the IDE
https://netbeans.org/bugzilla/attachment.cgi?id=92506

- Open the mathematics.multidimensional.shape.MDShape class
- Refactor->Rename the 'dim' attribute to 'dim2'

mathematics\multidimensional\MDVector.fx:13: warning: Forward reference: variable dim might not have been initialized.
    public var metric:IMDSquareTransform = MDIdentity{ dim: dim };

mathematics\multidimensional\shape\MDSphere.fx:68: cannot find symbol
symbol  : variable dim
location: class mathematics.multidimensional.shape.MDSphere
        for(angle in MDSet.set(-PI, PI, N, dim -1)){

samples\mathematics\shape\HyperCube.fx:28: cannot find symbol
symbol  : variable dim
location: class mathematics.multidimensional.shape.MDCube
            shapes: [ MDCube{ dim: dim  side: 50} ]

samples\mathematics\shape\HyperSphere.fx:26: cannot find symbol
symbol  : variable dim
location: class mathematics.multidimensional.shape.MDSphere
            shapes: [ MDSphere{ dim: dim  radius: 150 fragmentation: 8} ]
3 errors
Comment 1 J Bachorik 2009-12-15 05:01:54 UTC
This is weird. It seems as if the IDE you are using is rather outdated. Please, make sure that the build contains changeset http://hg.netbeans.org/javafx/rev/798b6ea682f7
When I try to reproduce the problem on the trunk build everything works as expected.
Comment 3 Alexandr Scherbatiy 2010-01-12 07:13:51 UTC
verified in NetBeans-JavaFX-Soma: #93
Comment 4 rbalada 2010-01-21 03:27:24 UTC
The changeset http://hg.netbeans.org/javafx/rev/798b6ea682f7 has been ported into branch release68_fixes as 

http://hg.netbeans.org/javafx/rev/108f46bcff39
Comment 5 Alexandr Scherbatiy 2010-01-26 06:42:55 UTC
Blocked by regression issue 179870
Comment 6 Alexandr Scherbatiy 2010-01-28 04:00:10 UTC
Verified in NB 6.8 Patch1 2010-01-28_00-36-51


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo